import time

from kuangjia.common.cutils import get_text
from kuangjia.common.untils import DriverTools
from kuangjia.paga.CodePage import Code
from kuangjia.paga.CreatePage import Create
from kuangjia.paga.DelPage import Del
from kuangjia.paga.GivePage import Give
from kuangjia.paga.LoginPage import Login


class TestCreate:
    # 类前置
    def setup_class(self):
        self.driver = DriverTools.get_driver().get('https://rays7.5rs.me/login')
        self.login = Login()
        self.create = Create()
        self.code = Code()
        self.give = Give()
        self.delete = Del()

    # 类后置
    def teardown_class(self):
        DriverTools.quit_driver()

    # 创建书刊流程
    def test_test1(self):
        self.login.login()
        time.sleep(3)
        self.create.create()
        self.code.code()
        self.give.give()
        self.delete.delete()
        result = get_text(self.delete.person_name)
        expect = "RAYS现代纸书"
        assert expect == result
